> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://mezmo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mezmo.ferndocs.com/_mcp/server.

# Update Child Organization Contract

PUT https://api.mezmo.com/v1/enterprise/account/{accountId}
Content-Type: application/json

Makes an update to the specified child organization. Used to modify the current retention with the `retention` field or the current owner with the `owner` field.

Reference: https://mezmo.ferndocs.com/api-reference/log-analysis/enterprise/put-org

## Authentication

- `enterprise-servicekey` header (required) — When authorizing against our enterprise endpoints, they expect an enterprise service key instead of a regular organization service key. Some endpoints might expect both an enterprise service key and a regular organization service key.

## Request

### Path parameters

- `accountId` (string, required) — Account number of the organization

### Body (application/json)

This endpoint expects an enterprisePut.

- `retention` (integer, optional) — Current retention period selected for the child organization
- `owner` (string, optional) — The email of a user to be given owner privileges of an account.

## Response

### 200

The account was found, the enterpriseId and retention details are updated.

- `account` (string, optional) — Account number of the organization
- `enterprise` (string, optional) — Unique Id of the enterprise organization
- `retention` (integer, optional) — Current retention period selected for the child organization
- `owner` (string, optional) — The email of a user to be given owner privileges of an account.
- `retentionPeriods` (list of integer, optional) — Available log retention options for the child organization
- `plan` (string, optional) — The name of a plan.
- `servicekey` (string, optional) — A secret key which can be used to authenticate requests to Mezmo.

## Errors

### 400 Bad Request Error

Invalid body

- `error` (string, optional) — A human-readable description of the error
- `code` (string, optional) — A unique code for the type of error
- `status` (string, optional) — The status of the request

### 404 Not Found Error

Unable to update account which not belong to enterprise

- `error` (string, optional) — A human-readable description of the error
- `code` (string, optional) — A unique code for the type of error
- `status` (string, optional) — The status of the request

### 409 Conflict Error

Return error when account does not have contract tier

- `error` (string, optional) — A human-readable description of the error
- `code` (string, optional) — A unique code for the type of error
- `status` (string, optional) — The status of the request

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "account": "0000000000",
  "enterprise": "0000000000",
  "retention": 7,
  "owner": "owner@example.org",
  "retentionPeriods": [
    7
  ],
  "plan": "enterprise",
  "servicekey": "7b273eb8adc962f2711ad760730debb0"
}
```

**SDK Code**

```python
import requests

url = "https://api.mezmo.com/v1/enterprise/account/0000000000"

payload = {}
headers = {
    "enterprise-servicekey": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.mezmo.com/v1/enterprise/account/0000000000';
const options = {
  method: 'PUT',
  headers: {'enterprise-servicekey': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.mezmo.com/v1/enterprise/account/0000000000"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("enterprise-servicekey", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.mezmo.com/v1/enterprise/account/0000000000")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["enterprise-servicekey"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.mezmo.com/v1/enterprise/account/0000000000")
  .header("enterprise-servicekey", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.mezmo.com/v1/enterprise/account/0000000000', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'enterprise-servicekey' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.mezmo.com/v1/enterprise/account/0000000000");
var request = new RestRequest(Method.PUT);
request.AddHeader("enterprise-servicekey", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "enterprise-servicekey": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.mezmo.com/v1/enterprise/account/0000000000")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```